Bug 1256479 - Review Request: gedit-plugin-git - The gedit git plugin
Review Request: gedit-plugin-git - The gedit git plugin
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1256475
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 12:59 EDT by Matěj Cepl
Modified: 2016-08-21 04:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2015-08-24 12:59:23 EDT
Spec URL: https://gitlab.com/mcepl/gedit-plugin-git-pkg/blob/epel7/gedit-plugin-git.spec
SRPM URL: http://mcepl.fedorapeople.org/tmp/gedit-plugin-git-3.14.1-2.el7.src.rpm
Description: 
The gedit git plugin packages separately (because it requires
packages not available in the RHEL-7 proper but only in EPEL-7)

Fedora Account System Username: mcepl
Comment 1 Jens Lody 2015-08-24 16:50:54 EDT
The spec url is wrong, it should be: https://gitlab.com/mcepl/gedit-plugin-git-pkg/raw/epel7/gedit-plugin-git.spec (raw instead of blob).
Comment 2 Matěj Cepl 2015-08-24 20:03:14 EDT
And SRPM is now http://mcepl.fedorapeople.org/tmp/gedit-plugin-git-3.14.1-4.el7.src.rpm
Comment 3 Björn 'besser82' Esser 2015-08-25 04:00:51 EDT
First findings:

> %description
> The gedit git plugin packages separately (because it requires
> packages not available in the RHEL-7 proper but only in EPEL-7)

The description doesn't tell anything useful about what the package does…


> %patch1 -p1 -b .FSF-addr

Patching copyright headers is discouraged.  See: https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address


The URLs you've pasted are not suitable for fedora-review, btw…  Spec resolves to some HTML-page.  They should look like:

Spec URL: https://gitlab.com/mcepl/gedit-plugin-git-pkg/raw/epel7/gedit-plugin-git.spec
SRPM URL: https://mcepl.fedorapeople.org/tmp/gedit-plugin-git-3.14.1-4.el7.src.rpm


I'm somehow wondering:  Is this package intended for el7, only?  Do we have this plugin in Fedora already?
Comment 4 Matěj Cepl 2015-08-25 05:17:54 EDT
(In reply to Björn "besser82" Esser from comment #3)
> First findings:
> 
> > %description
> > The gedit git plugin packages separately (because it requires
> > packages not available in the RHEL-7 proper but only in EPEL-7)
> 
> The description doesn't tell anything useful about what the package does…

That’s right. It is just a copy from the subpackage of gedit-plugins. I'll try to do something better. As for the second sentence, see below.

See new src.rpm at http://mcepl.fedorapeople.org/tmp/gedit-plugin-git-3.14.1-5.el7.src.rpm (SPEC is also updated)

> > %patch1 -p1 -b .FSF-addr
> 
> Patching copyright headers is discouraged.  See:
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address

Of course, the patch is upstream as well. https://git.gnome.org/browse/gedit-plugins/commit/?id=382a196b177f87c0c1d356a7fa18ec3cefb43d25

> I'm somehow wondering:  Is this package intended for el7, only?  Do we have
> this plugin in Fedora already?

Sorry to be snippy, but if you read that %description which tell you nothing useful you may understand the situation. ;)

Yes, this is EPEL7 only, and yes it is a part of gedit-plugins in Fedora, but because it depends on libgit2 which is not in RHEL-7 it has been patched out in RHEL-7 gedit-plugins package.
Comment 5 Jens Lody 2015-08-25 05:32:14 EDT
When trying to run it in fedora-review for epel-7 I get the following error:

error: syntax error in expression
error: /home/jens/1256479-gedit-plugin-git/srpm/gedit-plugin-git.spec:1: bad %if condition

running in mock directly leads to:
Error: No Package found for libgit2-glib-devel
Error: No Package found for vte291-devel

Obviously BR needs to be fixed.

I s there no way to make it a sub-package for epel-7 (from same spec-file), with some (many?) conditionals depending on the %{dist} ?
Comment 6 Matěj Cepl 2015-08-25 11:44:15 EDT
(In reply to Jens Lody from comment #5)
> Obviously BR needs to be fixed.

It is blocked by bug 1256475 (and yes, that one will be also resolvable only sometime).

> I s there no way to make it a sub-package for epel-7 (from same spec-file),
> with some (many?) conditionals depending on the %{dist} ?

there is no gedit-plugins package for EPEL-7.

Note You need to log in before you can comment on or make changes to this bug.